[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoUTF8KeyPress

Applies a UTF-8-encoded character to the active cell editor in the control.

## Declaration

Source position: grids.pas line 1052

`protected function TCustomGrid.DoUTF8KeyPress(`
`var UTF8Key: TUTF8Char`
`):Boolean; override;`

## Arguments

`UTF8Key` |  | UTF-8 character value handled in the method.

## Function result

True if the character was successfully applied in the method.

## Description

DoUTF8KeyPress is an overridden method used to apply the UTF-8-encoded character in UTF8Key to the active cell Editor for the control. The return value is True if the character is successfully handled.

DoUTF8KeyPress calls the inherited method on entry to determine if the character is handled in the ancestor class. No additional actions are performed in the method when the character is handled in the ancestor.

Otherwise, EditingAllowed is called to determine if a cell editor can be displayed for the column number in Col. When allowed, the EditorShowChar method is called to apply the value in UTF8Key to the cell Editor. The value in UTF8Key is set to an empty string (''), and the return is set to True on successful completion of the operation.

## See also

TWinControl.DoUTF8KeyPress |  | Performs actions needed to handle a UTF-8-encoded key press message for the control.